
AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )

include('shared.lua')

ENT.Size = 0.25

/*---------------------------------------------------------
Initialize
---------------------------------------------------------*/
function ENT:Initialize()

	self.Entity:SetModel("models/w_models/weapons/w_he_grenade.mdl")
	self:SetMoveType( MOVETYPE_FLYGRAVITY )
	self:SetSolid( SOLID_BBOX )
	self.Entity:DrawShadow( true )
	self.AllowEXP = true
	
	self:SetGravity(0.5)
	
	self:SetCollisionGroup( COLLISION_GROUP_INTERACTIVE )
	self:SetNetworkedString("Owner", "World")
	
	self:SetCollisionBounds(Vector(-self.Size, -self.Size, -self.Size), Vector(self.Size, self.Size, self.Size))

end

/*---------------------------------------------------------
Think
---------------------------------------------------------*/
function ENT:Think()
	self:SetAngles(self:GetVelocity():Angle())
end

local ExplosionSounds = {
"weapons/grenade_launcher/grenadefire/grenade_launcher_explode_1.wav",
"weapons/grenade_launcher/grenadefire/grenade_launcher_explode_2.wav"}

/*---------------------------------------------------------
Explosion
---------------------------------------------------------*/
function ENT:Explosion()
	if self.AllowEXP == true then
	self.AllowEXP = false
	
	self:EmitSound(table.Random(ExplosionSounds),90,100)
	
	local effectdata = EffectData()
	effectdata:SetOrigin( self.Entity:GetPos() )
	util.Effect( "Explosion", effectdata )
	
	util.BlastDamage(self, self:GetOwner(), self:GetPos(), 210, 140)

	self:Remove()
end
end

function ENT:Touch(ent)

if not ent:IsTrigger() then

self:Explosion()

end

end