ENT.Type = "anim"
ENT.PrintName		= "MW2 Nade"
ENT.Author			= "Zoey"
ENT.Contact			= ""
ENT.Purpose			= ""
ENT.Instructions	= ""

/*---------------------------------------------------------
OnRemove
---------------------------------------------------------*/
function ENT:OnRemove()
end

/*---------------------------------------------------------
PhysicsUpdate
---------------------------------------------------------*/
function ENT:PhysicsUpdate()
end

/*---------------------------------------------------------
PhysicsCollide
---------------------------------------------------------*/
function ENT:PhysicsCollide( data, physobj )
	if data.Speed > 70 then
		self.Entity:EmitSound(Sound("weapons/grenade_impact.wav"))
	end
	
	local LastSpeed = data.OurOldVelocity:Length()
	local NewVelocity = physobj:GetVelocity()
	local NormVel = data.OurOldVelocity:GetNormal()
 
	NewVelocity:Normalize()
	local TargetVelocity = NewVelocity * LastSpeed * 0.5

	physobj:SetVelocity(TargetVelocity)
end
